routes/web.php
<?php

use App\Http\Controllers\ImagesCommentsController;
use App\Http\Controllers\ImagesController;
use App\Http\Controllers\UsersController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware('language')->group(function() {

    Route::get('/', [ImagesController::class, 'index'])->name('home');
    Route::resource('images', ImagesController::class)->only(['index','show', 'create', 'store', 'destroy']);
    Route::resource('users', UsersController::class)->only(['show', 'edit', 'update']);
    Route::resource('images.comments', ImagesCommentsController::class)->only(['store'])
        ->middleware('auth');

    Auth::routes();

    });

    Route::get('language/{locale}', [\App\Http\Controllers\LanguageSwitcherController::class, 'switcher'])
        ->name('language.switcher')
        ->where('locale', 'en|ru');

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Orchid\Platform\Models\User as Authenticatable;
use Orchid\Screen\AsSource;

class User extends Authenticatable
{
    use HasFactory, AsSource;
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'email',
        'password',
        'permissions',
    ];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
        'permissions',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'permissions'          => 'array',
        'email_verified_at'    => 'datetime',
    ];

    /**
     * The attributes for which you can use filters in url.
     *
     * @var array
     */
    protected $allowedFilters = [
        'id',
        'name',
        'email',
        'permissions',
    ];

    /**
     * The attributes for which can use sort in url.
     *
     * @var array
     */
    protected $allowedSorts = [
        'id',
        'name',
        'email',
        'updated_at',
        'created_at',
    ];

    /**
     * @return HasMany
     */
    public function images(): HasMany
    {
        return $this->hasMany(Image::class);
    }

    /**
     * @return HasMany
     */
    public function comments(): HasMany
    {
        return $this->hasMany(Comment::class);
    }
}

app/Http/Controllers/UsersController.php
<?php

namespace App\Http\Controllers;

use App\Models\Image;
use App\Models\User;
use Illuminate\Auth\Access\AuthorizationException;
use Illuminate\Contracts\Foundation\Application;
use Illuminate\Contracts\View\Factory;
use Illuminate\Contracts\View\View;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;

class UsersController extends Controller
{

    /**
     * @param User $user
     * @return Application|Factory|View
     */
    public function show(User $user)
    {
        $images = Image::all();
        return view('clients.users.show', compact('user', 'images'));
    }


    /**
     * @param User $user
     * @return Application|Factory|View
     * @throws AuthorizationException
     */
    public function edit(User $user)
    {
        $this->authorize('edit', User::class);
        return view('clients.users.edit', compact('user'));
    }


    /**
     * @param Request $request
     * @param User $user
     * @return RedirectResponse
     */
    public function update(Request $request, User $user): RedirectResponse
    {
        $user->name = $request->input('name');
        $user->update();
        return redirect()->route( 'users.show', ['user' => $user]);
    }

}

resources/views/clients/users/edit.blade.php
@extends('layouts.app')
@section('content')
    <div>
        <h3>@lang('messages.edit')</h3>
    </div>
    <form enctype="multipart/form-data" method="post" action="{{route('users.update', ['user' => $user])}}">
        @method('put')
        @csrf
        <div class="form-group">
            <label for="name">@lang('messages.name')</label>
            <input type="text" class="form-control border-success  @error('name') is-invalid border-danger @enderror"
                   id="name" name="name" value="{{$user->name}}">
        </div>
        @error('name')
        <p class="text-danger">{{ $message }}</p>
        @enderror
        <button type="submit" class="btn btn-outline-primary">@lang('messages.save')</button>
    </form>
@endsection

resources/views/clients/users/show.blade.php
@extends('layouts.app')
@section('content')

    <h2><b>@lang('messages.profile')</b> {{$user->name}}
        @can('edit', App\Models\User::class)
            @if($user->id == Auth::user()->id)
        <a href="{{route('users.edit', ['user'=> $user])}}" class="btn btn-primary btn-sm active" role="button"
           aria-pressed="true">@lang('messages.edit')</a>
            @endif
        @endcan
    </h2>

    <h5>@lang('messages.photos'):
        @can('create', App\Models\Image::class)
            @if($user->id == Auth::user()->id)
                <a href="{{route('images.create')}}" class="btn btn-primary btn-sm active" role="button"
                   aria-pressed="true">@lang('messages.create_new_photo')</a>
            @endif
        @endcan
    </h5>
    <table class="table table-striped">
        <thead>
        <tr>
            <th scope="col">@lang('messages.photo')</th>
            <th scope="col">@lang('messages.title')</th>
            <th scope="col">@lang('messages.action')</th>
        </tr>
        </thead>
        <tbody>
        @foreach($images as $image)
            <tr>
                @if($image->user_id == $user->id)
                    <td>
                        <a href="{{route('images.show', ['image' => $image])}}">
                        <img src="{{asset('/storage/' . $image->image)}}" class="card-img-top"
                             alt="{{asset('/storage/' . $image->image)}}" width="50" height="100%">
                        </a>
                    </td>
                    <td>{{$image->title}}</td>
                    <td>
                        @can('delete', $image)
                            <form style="float: left; margin-right: 12px;" action="{{route('images.destroy', ['image' => $image])}}" method="post">
                                @method('delete')
                                @csrf
                                <button class="btn btn-link">@lang('messages.remove')</button>
                            </form>
                        @endcan
                    </td>
                @endif
            </tr>
        @endforeach
        </tbody>
    </table>

@endsection